Name:		pdftk-java
Version:	3.2.1
Release:	%mkrel 1
Summary:	PDF Tool Kit
License:	GPLv2+
Group:		Publishing
URL:		https://gitlab.com/pdftk-java/pdftk
Source0:	https://gitlab.com/pdftk-java/pdftk/-/archive/v%{version}/pdftk-v%{version}.tar.gz
Patch1:		0001-Replace-deprecated-usage-of-DERNull.patch
BuildArch:	noarch

BuildRequires:	javapackages-local
BuildRequires:	ant
BuildRequires:	apache-commons-lang3
BuildRequires:	bouncycastle

Requires:	apache-commons-lang3
Requires:	bouncycastle

Provides:	pdftk = %{version}-%{release}

%description
Pdftk is a simple tool for doing everyday things with PDF documents.
Keep one in the top drawer of your desktop and use it to:

  - Merge PDF Documents
  - Split PDF Pages into a New Document
  - Decrypt Input as Necessary (Password Required)
  - Encrypt Output as Desired
  - Fill PDF Forms with FDF Data and/or Flatten Forms
  - Apply a Background Watermark
  - Report on PDF Metrics, including Metadata and Bookmarks
  - Update PDF Metadata
  - Attach Files to PDF Pages or the PDF Document
  - Unpack PDF Attachments
  - Burst a PDF Document into Single Pages
  - Uncompress and Re-Compress Page Streams
  - Repair Corrupted PDF (Where Possible)

%prep
%setup -q -n pdftk-v%{version}
%autopatch -p1

%build
mkdir lib
build-jar-repository lib bcprov commons-lang3
%ant jar

%install
install -Dpm 0644 build/jar/pdftk.jar %{buildroot}%{_javadir}/pdftk.jar
install -Dpm 0644 pdftk.1 %{buildroot}%{_mandir}/man1/pdftk.1

%jpackage_script com.gitlab.pdftk_java.pdftk "" "" bcprov:commons-lang3:pdftk pdftk true

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/pdftk
%{_mandir}/man1/pdftk.1*
%{_javadir}/pdftk.jar


%changelog
* Mon Dec 21 2020 daviddavid <daviddavid> 3.2.1-1.mga8
+ Revision: 1662519
- add upstream patch to fix build with bcprov >= 1.67
- new version: 3.2.1

* Tue Jul 14 2020 daviddavid <daviddavid> 3.1.3-1.mga8
+ Revision: 1605970
- new version: 3.1.3

* Sat Feb 15 2020 umeabot <umeabot> 3.0.6-3.mga8
+ Revision: 1527696
- Mageia 8 Mass Rebuild

* Tue Jul 23 2019 daviddavid <daviddavid> 3.0.6-2.mga8
+ Revision: 1423586
- add virtual provide on pdftk

* Mon Jul 15 2019 daviddavid <daviddavid> 3.0.6-1.mga8
+ Revision: 1421624
- initial package pdftk-java

